org.apache.hc.core5.pool

## Enum PoolReusePolicy

- java.lang.Object
- - java.lang.Enum<PoolReusePolicy>
  - - org.apache.hc.core5.pool.PoolReusePolicy

- All Implemented Interfaces:
    Serializable, Comparable<PoolReusePolicy>

      public enum PoolReusePolicy
      extends Enum<PoolReusePolicy>

  Enumeration of pooled connection re-use policies
  Since:
    5.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIFO` Re-use all connections equally preventing them from becoming idle and expiring.
    `LIFO` Re-use as few connections as possible making it possible for connections to become idle and expire.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PoolReusePolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PoolReusePolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LIFO

          public static final PoolReusePolicy LIFO

      Re-use as few connections as possible making it possible for connections to become idle and expire.

    - #### FIFO

          public static final PoolReusePolicy FIFO

      Re-use all connections equally preventing them from becoming idle and expiring.

  - ### Method Detail

    - #### values

          public static PoolReusePolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PoolReusePolicy c : PoolReusePolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PoolReusePolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.